Summary:	KLU: sparse LU factorization, for circuit simulation
Summary(pl.UTF-8):	KLU - rzadki rozkład LU na potrzeby symulacji obwodów
Name:		KLU
Version:	1.3.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/klu/%{name}-%{version}.tar.gz
# Source0-md5:	401224a68ae185743da5f0e5808d03dc
Patch0:		%{name}-ufconfig.patch
Patch1:		%{name}-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/klu/
BuildRequires:	AMD-devel >= 2.4.0
BuildRequires:	BTF-devel >= 1.2.0
BuildRequires:	COLAMD-devel >= 2.9.0
BuildRequires:	SuiteSparse_config >= 4.3.0
BuildRequires:	libtool >= 2:1.5
Requires:	AMD >= 2.4.0
Requires:	BTF >= 1.2.0
Requires:	COLAMD >= 2.9.0
Requires:	SuiteSparse_config-libs >= 4.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KLU is a sparse LU factorization algorithm well-suited for use in
circuit simulation.

%description -l pl.UTF-8
KLU to algorytm rozkładu LU macierzy rzadkich dobrze pasujący do
zastosowań w symulacji obwodów.

%package devel
Summary:	Header files for KLU library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki KLU
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	AMD-devel >= 2.4.0
Requires:	BTF-devel >= 1.2.0
Requires:	COLAMD-devel >= 2.9.0
Requires:	SuiteSparse_config >= 4.3.0

%description devel
Header files for KLU library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki KLU.

%package static
Summary:	Static KLU library
Summary(pl.UTF-8):	Statyczna biblioteka KLU
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static KLU library.

%description static -l pl.UTF-8
Statyczna biblioteka KLU.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/klu

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/klu

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt Doc/ChangeLog
%attr(755,root,root) %{_libdir}/libklu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libklu.so.0

%files devel
%defattr(644,root,root,755)
%doc Doc/{KLU_UserGuide,palamadai_e}.pdf
%attr(755,root,root) %{_libdir}/libklu.so
%{_libdir}/libklu.la
%{_includedir}/klu

%files static
%defattr(644,root,root,755)
%{_libdir}/libklu.a
%changelog
* Fri Oct 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/KLU.git;a=log;h=master

* Fri Oct 03 2014 Jakub Bogusz <qboosh@pld-linux.org> c0541c7
- runtime dependency on SuiteSparse_config library

* Fri Oct 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 8b190b6
- updated to 1.3.0
- updated ufconfig,shared patches

* Fri Jun 29 2012 Jakub Bogusz <qboosh@pld-linux.org> b9f6cd1
- updated to 1.2.0; switched to SuiteSparse_config
- updated ufconfig,shared patches

* Sun Jan 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 0726bac
- updated to 1.1.4
- updated shared patch

* Tue Jan 10 2012 Jakub Bogusz <qboosh@pld-linux.org> e6c7c7e
- new

